
/* HERO */
#hero{
    width: 100%;
    padding: 6rem 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    height: 100vh;
    position: relative;
    text-align: center;
}
#hero #background{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../assets/imgs/fotoCoche.webp);
    background-size: cover;
    background-position: center;
    opacity: 1.2; /* Ajusta la opacidad según tus preferencias */
    z-index: -1; /* Coloca la imagen de fondo detrás del contenido */
}
#hero #info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    position: relative;
}
#hero #info-title{
    font-size: 4.5rem;
    line-height: normal;
    hyphens: none;
    margin-bottom: 0.5rem;
    color: var(--blanco);
    font-family: var(--tipo-anton);
}
#hero #info-text{
    font-size: 1.2rem;
    margin-bottom: 2rem;
    color: var(--blanco);
}
#hero #info-btn{
    font-size: 1.2rem;
    width: fit-content;
    cursor: pointer;
    background-color: var(--blanco);
    color: var(--negro);
    padding: 0.5rem 3rem;
    font-weight: 400;
    font-family: var(--tipo-anton);
}
#hero #info-btn:hover{
    transform: scale(1.03);
    transition: 0.2s ease-in-out all;
    background-color: var(--blanco);
    color: var(--negro);
}
#video-yt{
    width: 50%;
    height: 30rem;
}
@keyframes scroll-infinite {
    0% {opacity: 1;}
    50% {opacity: 0;}
    100% {opacity: 1;}
}
#info img{
    width: 32px;
    margin-top: 10rem;
    animation: scroll-infinite 4s linear infinite;
}

@media screen and (max-width: 758px){
    #hero{
        padding: 6rem 3rem;
    }
}
@media screen and (max-width: 480px){
    #hero{
        flex-direction: column;
        padding: 0rem 2rem;
        padding-bottom: 4rem;
        align-items: center;
        justify-content: center;
    }
    #hero #info{
        width: 100%;
        padding-top: 2rem;
        align-items: center;
    }
    #hero #info-title{
        font-size: 3rem;
    }
    #hero #video-yt{
        flex: none;
        width: 95%;
        height: 25%;
    }
}
/* FIN HERO */


/* SECCIONES */
#secciones{
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 3rem 4rem;
    color: var(--blanco);
    background-color: #000;
}
#secciones-principal{
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-right: 5rem;
}
#secciones-principal-titulo{
    font-size: 3rem;
    hyphens: none;
    font-family: var(--tipo-anton);
    margin-bottom: 0.5rem;
    border-left: 2px solid red;
    padding-left: 1rem;
}
#secciones-principal-copy{
    padding-left: 1rem;
}
#secciones-items{
    display: flex;
    width: 100%;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
    padding-top: 2.5rem;
}
.secciones-item{
    display: flex;
    width: 30%;
}
.secciones-item-foto{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 20rem;
    margin-right: 1rem;
    position: relative;
    overflow: hidden;
}
.secciones-item-foto::after{
    content: '';
    position: absolute;
    width: 100%;
    height: 20rem;
    background-color: rgba(0, 0, 0, 0.35);
}
.secciones-item-foto img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .5s;
}
.secciones-item:hover img{
    transition: .5s;
    transform: scale(1.1);
    cursor: pointer;
}
.secciones-item-info{
    display: flex;
    flex-direction: column;
    width: 50%;
    height: 20rem;
    position: relative;
}
.secciones-item-info-titulo{
    font-size: 1.8rem;
    hyphens: none;
    font-family: var(--tipo-anton);
    margin-bottom: 1rem;
}
.secciones-item-info-texto-link{
    position: absolute;
    bottom: 1rem;
    font-family: var(--tipo-anton);
    padding-bottom: 0.5rem;
}
.secciones-item-info-barra{
    position: absolute;
    display: block;
    width: 0px;
    height: 3px;
    background-color: red;
    bottom: 1rem;
    left: -4rem;
    transition: .2s;
}
.secciones-item:hover .secciones-item-info-barra{
    transition: .2s;
    width: 110px;
}
@media screen and (max-width: 1221px){
    .secciones-item{
        width: 50%;
    }
    .secciones-item:last-child{
        margin-top: 2rem;
    }
}

@media screen and (max-width: 1107px){
    #secciones-items{
        flex-direction: column;
        flex-wrap: nowrap;
        align-items: flex-start;
    }
    .secciones-item{
        width: 100%;
    }
    .secciones-item{
        width: 100%;
        margin-bottom: 2rem;
    }
    .secciones-item:last-child{
        margin-top: 0rem;
    }
}
@media screen and (max-width: 852px){
    #secciones{
        padding-left: 3rem;
        padding-right: 3rem;
    }
}
@media screen and (max-width: 852px){
    #secciones{
        flex-direction: column;
    }
    #secciones-principal{
        width: 100%;
        margin-bottom: 3rem;
    }
    .secciones-item-info{
        height: 20rem;
    }
}
@media screen and (max-width: 480px){
    #secciones{
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }
    #secciones-principal{
        margin-bottom: 0rem;
        margin-right: 0rem;
    }
    .secciones-item{
        flex-direction: column;
        margin-bottom: 5rem;
    }
    .secciones-item-foto{
        width: 100%;
        height: 25rem;
        margin-bottom: 1rem;
    }
    .secciones-item-foto::after{
        height: 25rem;
    }
    .secciones-item-info{
        height: auto;
        width: 100%;
    }
    .secciones-item-info-texto{
        width: 100%;
    }
    .secciones-item-info-texto-link{
        position: relative;
        width: fit-content;
        bottom: 0;
        top: 2rem;
        background-color: red;
        padding: 0.4rem 2rem;
    }
}






#footer{
    width: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    color: var(--blanco);
    background-color: #000;
    padding-bottom: 2rem;
    padding-top: 2rem;
}
#footer #copy{
    margin-bottom: 2rem;
    font-size: 0.9rem;
}
#footer a{
    font-size: 0.8rem;
    margin-bottom: 2rem;
}